Subject: Re: bug#43405: Tool bar item doesn't align to the right edge

From: spvk <[email-masked]>
Date: Mon, 14 Sep 2020 16:53:41 -0300

Juri Linkov <[email-masked]> writes:

> The icon is displayed only after more changes in window-configuration like
> switching buffers, i.e. force-mode-line-update (copied from tool-bar-local-item)
> has no effect.
>
> Another bug?  Or should this code use both (redraw-display) and
> (force-mode-line-update) like in bug#43397?

I tried all related functions that I could think of
(force-mode-line-update, redraw-display, force-mode-line-update) just to 
try to understand what is happening. I.e. I don't know what the code
should use and I don't know if this is a bug.